import {Migration} from '../Migration'
import {BaseEvent} from '../../../support/bus'
import {Awaitable} from '../../../util'

/**
 * Generic base-class for migration-related events.
 */
export abstract class MigrationEvent extends BaseEvent {
    constructor(
        public readonly migration: Migration,
    ) {
        super()
    }

    shouldBroadcast(): Awaitable<boolean> {
        return false
    }
}
